Issue 42946 - Error Bars for X values
Summary: Error Bars for X values
Alias: None
Product: General
Classification: Code
Component: chart (show other issues)
Version: 3.3.0 or older (OOo)
Hardware: All All
: P3 Trivial with 157 votes (vote)
Target Milestone: ---
Assignee: AOO issues mailing list
QA Contact:
Keywords: ms_interoperability, oooqa, rfe_eval_ok
: 61024 64818 (view as issue list)
Depends on:
Reported: 2005-02-16 21:31 UTC by tornadof3
Modified: 2014-11-20 23:51 UTC (History)
14 users (show)

See Also:
Issue Type: FEATURE
Latest Confirmation in: ---
Developer Difficulty: ---

A trick how to emulate X and Y error bars. (21.20 KB, application/vnd.oasis.opendocument.spreadsheet)
2011-04-04 18:33 UTC, sztejkat
no flags Details

Note You need to log in before you can comment on or make changes to this issue.
Description tornadof3 2005-02-16 21:31:04 UTC
At the moment in OOo it is only possible to display errors bars in the Y-axis; 
this is not very useful for scientific reports, where I need both X and Y axis 
error bars. Similarly, I need to be able to select a range of cells to represent 
the errors, not just a constant + or - value or a %/standard deviation.
Comment 1 kla 2005-02-17 07:48:47 UTC
You know the meaning of Priority 1? I think not realy.
Set to an realistic value, and also is in the planning for the new chart. 
Comment 2 ace_dent 2006-01-23 02:27:12 UTC
*** Issue 61024 has been marked as a duplicate of this issue. ***
Comment 3 ace_dent 2006-01-23 02:35:24 UTC
IMO this is a much needed feature (still missing in 2.0.1).
This might prove to be a sub-task of Issue 47264, which is to support importing
MS Excel graphs with error-bars. This is due for OOo 3 (hopefully!).
Also this relates to Issue 366, which requests being able to select a range of
cells to specify error bars. This and X-error bars are essential for scientifc
graphs. I would like to see this set to at least a milestone of OOo 3.

Comment 4 phyrexicaid 2006-01-23 06:30:57 UTC
When I searched for xy error bars I didn't track this one down, my apologies,
61024 is a duplicate.  Thanks to Andrew for pointing it out.

Setting the target milestone to something tangible would be nice as it would let
people know that work is progressing on it.

Comment 5 mrv 2006-08-21 17:18:37 UTC
Should this be assigned to the Chart component?
Comment 6 ace_dent 2006-08-21 17:48:40 UTC
Corrected component, cheers.
Comment 7 IngridvdM 2006-09-18 13:13:50 UTC
*** Issue 64818 has been marked as a duplicate of this issue. ***
Comment 8 IngridvdM 2006-09-18 13:17:25 UTC
I'll take this. I'll handle the x error bars here only as the range request is
already handled with Issue 366.
Comment 9 IngridvdM 2006-09-18 13:18:08 UTC
Comment 10 IngridvdM 2007-09-12 11:03:25 UTC
changing target. The target cannot be 3.0 as the fileformat does not allow to
save those settings so far.
Comment 11 phyrexicaid 2008-05-08 16:17:29 UTC
I can't believe this is being passed over in version 3.0
Didn't they rewrite the Chart module?
Comment 12 IngridvdM 2008-05-08 16:27:27 UTC
@phyrexicaid, well activate your colleagues to put more votes to this issue.
Currently I see only 9 votes.
Comment 13 phyrexicaid 2008-05-14 20:01:55 UTC
@iha, I have asked that those with votes on Issue #366 move their votes to this
issue, that's about as much as I can do at the moment!  Even though I no longer
require this functionality myself, I would like to see this implemented as it
would allow greater OO.o adoption (in my opinion).

You have said that the target cannot be 3.0 as the fileformat does not support
saving these features.  Is this addressed by ODF 1.2?

Comment 14 IngridvdM 2008-05-15 12:50:04 UTC
@phyrexicaid, thanks! :-) there are 22 votes now and I hope the count will grow
I also think that this issue is important, but it is better to have the voice of
the customers. The file format issue was addressed in the meanwhile for ODF1.2.
I set the target to 3.x now.
Comment 15 IngridvdM 2008-07-22 14:20:42 UTC
reset to new
Comment 16 afbase 2008-09-25 23:44:51 UTC
I wish this were incorporated into Spreadsheets.  This is a pretty basic
statistic tool.  I don't see why it hasn't been incorporated yet.  No thanks to
this bug, I will be docked points off my physics homework because I don't have
time to learn another stats program/syntax such as R-Project.

Comment 17 hammacks 2009-03-05 19:43:07 UTC
X Error bars are a necessity for many academic studies.
Comment 18 furyofaseraph 2009-03-20 00:48:45 UTC
I completely agree. Having X-Error bars on scatter charts would be very useful
feature (in my case, I'm using it for a Timeline).
Comment 19 jmf 2009-06-02 14:10:26 UTC
Obviously, error bars are a must , and in most scientific occasions,
they occur on both Y and X axis (and vary from entry to entry).

I have set up a small demonstration on how to fit recursion curves on my
web page. Until recently, it could only be used in MS (needing their solver)
Now, with the new non-linear solver as an add-on, it works beautifully 
in OpenOffice, but .. still lacks the horizontal error bars,

This small worksheet uses a chi-squared , modified to include horizontal errors,
the second link shows how the "blind" fitting tool of Excel is completely
fooled in such cases (get the right gravity, but the wrong sign .. upwards!)
Comment 20 starkrg 2010-03-23 02:14:40 UTC
What is the status of this issue? This means I can't do work in Open Office
unless I resort to drawing in the error bars manually.
Comment 21 djc61 2010-05-28 16:55:54 UTC
Yep - that's it - this really is a sine qua non for scientific use. It strikes
me as the most important feature missing from the graph component, at least from
a non-corporate perspective (which /is/ still important... [grin]).

Flashing pies are no compensation for the lack of something that we used to do
easily by hand...
Comment 22 helenzman 2010-08-29 23:03:36 UTC
I need both X and Y Error bars to display forex market data. The y bars are for
Hi-Lo price and the x bars to represent Volume data. I therefore need to be able
to select a range of cells for the error values.

Comment 23 toronto_david 2010-09-18 18:05:28 UTC
I was hoping to be able to point science students to Open Office, but this is a show stopper.
Comment 24 brub 2010-11-26 14:00:44 UTC
As a general physics teacher, I actually use Excel for graphs with both X and Y
error bars. In the recent versions, new frustating bugs have been introduced in
Excel and for many other reasons I would like to move to OpenOffice. But this
issue #42946 has to be solved before. We are 10 teachers in our department and
initiate approx. 200 students each year to the use of a spreadsheet for
scientific use (error calculus, tables et graphs).
Comment 25 shfreeman 2010-12-23 00:43:38 UTC
Essential for ANYTHING that has to do with science!
Comment 26 physics_student_x 2011-01-16 15:59:10 UTC
Open office is amazing and I'm very grateful for a free version of complete 
However this is the second or third time I have come to try and use open office 
over the years I have been at university and there are still no x-error bar 
This is essential to any physics student or science student in general and must be 
fixed for open office to grow in popularity!
Comment 27 s0674208 2011-03-05 14:05:25 UTC
I registered just to vote for this bug. At my Physics dept at uni, Openoffice calc is used in experimental analysis in pre-honors students. Having no x error bars is a big problem. 

The number of student/users at school/university who would benefit from this must be in the 1000s if not more.
Comment 28 qg04 2011-04-02 15:24:28 UTC
I fully support what has been written above. I think x-error bars is a very much needed feature if one wants to spread the use of Ooffice in the scientific community.
Thanks in advance!!
Comment 29 thomson 2011-04-03 19:26:29 UTC
Are there any plans to have this implemented? That is fairy major problem for anything scientific related. It doesn't look to difficult to implement and it is over 6 years since this feature was requested for the first time.

Could we at least increase priority to P2? Thanks.
Comment 30 sztejkat 2011-04-04 18:33:16 UTC
Created attachment 76268 [details]
A trick how to emulate X and Y error bars.

This is a trick showing how one can emulate X and Y error bars in OpenOffice Calc. Not nicely looking and to very easy but works automatically.

Bold cells are inputs. X+/X- Y+/Y- are values of error ranges, in this example calculated by simple formulas. All other are copies of input values arranged in such an order that chart looks like if it would have x and y values. There is even a possibility to insert regression formulas as errors will nullify itself, with one exception - the R2 (fit coefficient) will be incorrect.

Hope it will be useful,
 Tomasz Sztejka
Comment 31 matt.daubaras 2011-04-11 05:48:43 UTC
I don't think I've ever had to do a scatter plot without x-error bars.  So many people can't use this as their spreadsheet program because of this.  With y-error bars already implemented, I'm not sure I understand why this has been an issue since 2005.  It seems to me a good chunk of the code would have to have been already written but for a change in axis.  I guess I also don't understand why they're aren't more votes for this...shrug.
Comment 32 totally-king 2011-05-18 15:15:55 UTC
As a science student I can't live whithout X error bars.
Comment 33 bynaus 2011-06-25 10:37:24 UTC
I also just registred to vote for this issue. This is much needed for everything science, and I can't understand why this hass been an issue for 6 years. It would be great to have x-error bars implemented as soon as possible.
Comment 34 enmane 2011-06-25 18:10:56 UTC
I was wondering who will handle openoffice bugs now that Sun isn't officially handling OO.  Any chance on sending this bug list over to LibreOffice - they seem much more focused on fixing issues like the error bars.
Comment 35 IngridvdM 2011-06-26 15:39:54 UTC
As you might have heard is transferring to the Apache Software Foundation. The process has just started. Right now OpenOffice is in incubation state:
The new Apache project will take care of the further OpenOffice development. You are welcome to join and make things happen! Bugfixes and features made for Apache OpenOffice will reach a greater audience and in cooperation will also land in LibreOffice. In contrast everything that is only done at LibreOffice will need to be done twice because of license issues, so that would be a pity split of forces.

I agree that this issue is very important and I have suggested to get it done already for a long time. I have prepared the viewing parts and file format already. Hopefully I finally will be able to work on the rest in some near future.
Comment 36 enmane 2011-06-26 20:04:04 UTC
Yeah, it's a shame Oracle didn't see fit to turn it over to LibreOffice - I'm sure they had their reasons though.

Thanks for your efforts
Comment 37 ilalmara 2012-03-23 18:38:28 UTC
According to my experience this is the ONLY major bug which prevents open office from becoming popular in science. NEEDS TO BE FIXED ASAP.
Comment 38 samnewmark 2012-10-01 23:15:42 UTC
Amazed that this is only marked as being of trivial importance. This is the only problem stopping me using this, and I imagine a huge number of other people - pretty much anyone who wants to use it for scientific purposes. The rest of the program is irrelevant if it can't do this. I'm resorting to buying Excel but it's a shame when Openoffice is so close to fulfilling my needs.
Comment 39 mrv 2012-10-02 04:48:07 UTC
I wouldn't normally mention the competing open source project since it's not relevant to this bug tracker. But this is the only bug of OOo I've followed for 5+ years, and it should be interesting information for many that LibreOffice 3.6 has this feature. You'll find the feature mentioned also in the 3.6 new features and updates page.

In time, I believe similar support will come to Apache as well as it continues to be developed, so let's keep this bug open for that.
Comment 40 mfigrs 2012-10-02 11:56:59 UTC
I think there's a good reason for this feature not being implemented in OO. And it's the fact that spreadsheets in general should not be used for scientific data analysis. These are business and accounting tools - not scientific tools. There is a lot of specialized data analysis software - first example is the "R" project - open source, well documented and easy to learn. R's data analysis and graphing capabilities are like Heaven and Earth, compared to Calc or Excel. 

Moreover, Excel is known to have multiple bugs in its data analysis engine. I don't know about Calc - never tried, since I used R for the first time. If you would take my advice, drop both Calc and Excel and start using R. You'll never want to go back.
Comment 41 starkrg 2012-10-02 13:13:32 UTC
By that token Calc shouldn't exist at all since there's clearly better open source business and accounting tools.

It's a general purpose grid-based mathematical manipulation tool, as such it should have x-error bars. If you're doing real science perhaps it shouldn't be used, but for high school or undergraduate university assignments you shouldn't be required to use professional tools with large learning curves.
Comment 42 th_openoffice 2012-10-05 17:17:18 UTC
(In reply to comment #40)
> I think there's a good reason for this feature not being implemented in OO.
> And it's the fact that spreadsheets in general should not be used for
> scientific data analysis.

This is not a fact but obviously your personal opinion. I believe X error bars make LibreOffice Calc more attractive for high school teaching in sciences, for example. The error bar in Excel or Calc should not be different from the one in R, but need less additional learning effort.
Comment 43 lucassnyder 2014-11-20 23:51:48 UTC
Been waiting for this to get fixed for years... But besides just the bars, it would be nice to have an error ellipse feature.